gnutls_pkcs11_init(3)

NAME
gnutls_pkcs11_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_init(unsigned int flags, const char * configfile);

ARGUMENTS

unsigned int flags
    GNUTLS_PKCS11_FLAG_MANUAL or GNUTLS_PKCS11_FLAG_AUTO

const char * configfile
    either NULL or the location of a configuration file

DESCRIPTION
This function will initialize the PKCS 11 subsystem in gnutls. It will read a configuration file if GNUTLS_PKCS11_FLAG_AUTO is used or allow you to independently load PKCS 11 modules using gnutls_pkcs11_add_provider() if GNUTLS_PKCS11_FLAG_MANUAL is specified. Normally you don't need to call this function since it is being called by gnutls_global_init(). Otherwise you must call it before it.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.